Unhandled exception with TLS

11 views
Skip to first unread message

enor...@gmail.com

unread,
Feb 7, 2019, 5:46:01 PM2/7/19
to Python FTP server library - Discussion group
I'm trying to implement file object for read, write to be used in AbstractedFS.

When using TLS on command and data channel and generating OSError when writing data to fs (file), I got unhandled exception.¨


  File "/opt/agw/pyftpdlib/handlers.py", line 801, in handle_read
    self.file_obj.write(chunk)
  File "/opt/agw/AGW/FTPFileSystem.py", line 115, in write
    raise OSError
OSError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/asyncore.py", line 83, in read
    obj.handle_read_event()
  File "/opt/agw/pyftpdlib/handlers.py", line 3276, in handle_read_event
    super(SSLConnection, self).handle_read_event()
  File "/opt/agw/pyftpdlib/handlers.py", line 815, in handle_read
    raise _FileReadWriteError(err)
pyftpdlib.handlers._FileReadWriteError

This not happen when TLS is not used. Transfer is correctly aborted.
Running on Python 3.5


Reply all
Reply to author
Forward
0 new messages